
local me = ...
local plugin = BigWigs:GetPlugin("Bars")
local db = plugin.db.profile

-- "bars" l&f
local function style(bar) 
	bar.candyBarLabel:SetJustifyH("LEFT")
	bar.candyBarLabel:ClearAllPoints()
	bar.candyBarLabel:Point("LEFT", bar, "LEFT", db.BigWigsAnchor_height + 4, 0)

	bar.candyBarDuration:SetJustifyH("LEFT")
	bar.candyBarDuration:ClearAllPoints()
	bar.candyBarDuration:Point("RIGHT", bar, "LEFT", -3, 0)
end

plugin:RegisterBarStyle("GioNoBars", {
	apiVersion = 1,
	version = 1,
	ApplyStyle = style,
	GetStyleName = function() return "Gio No Bars" end,
})

-- emphasized text color
local function styleEmphasized(msg, plugin, bar) 
	bar:SetTextColor(1, 0, 0)
end

BigWigsLoader.RegisterMessage(me, "BigWigs_BarEmphasized", styleEmphasized)
